## erlang-uuid 0.4.6

=== Makefile ===
#!/usr/bin/make -f

APPFILE   := uuid.app
VERSION   := $(shell sed -n -e '/vsn/ {s/.*,\s*"\([0-9][0-9.]*\)".*/\1/' \
                            -e 'p' -e '}' src/$(APPFILE).src)

PREFIX    ?= /usr
ERL_ROOT  := $(PREFIX)/lib/erlang
LIBDIR    := /lib
DISTDIR   := uuid-$(VERSION)

BEAMFILES := $(wildcard ebin/*.beam) $(wildcard test/*.beam)
DIALYZER_PLT := erlang-uuid.plt

all: build

build: ebin/$(APPFILE)
	erl -make

ebin/$(APPFILE): src/$(APPFILE).src
	cp $< $@

clean:
	-rm -rf ebin/$(APPFILE) $(BEAMFILES) $(DIALYZER_PLT)

$(DIALYZER_PLT): build
	dialyzer --add_to_plt -r ebin --output_plt $(DIALYZER_PLT)

dialyzer: $(DIALYZER_PLT)
	dialyzer --plt $(DIALYZER_PLT) ebin/uuid.beam

test: build
	erlc -W +debug_info +compressed +strip -o test/ test/*.erl
	erl -noshell -pa ebin -pa test -eval "uuid_tests:test()" -eval "init:stop()"

install: build
	# create dist directory and install files
	mkdir -p $(DESTDIR)$(ERL_ROOT)$(LIBDIR)/$(DISTDIR)/ebin
	install -m0644 ebin/* $(DESTDIR)$(ERL_ROOT)$(LIBDIR)/$(DISTDIR)/ebin

uninstall:
	-rm -rf $(DESTDIR)$(ERL_ROOT)$(LIBDIR)/uuid-[0-9][0-9.]*

.PHONY: all build clean dialyzer test install uninstall

=== debian/changelog ===
erlang-uuid (0.4.6-2) unstable; urgency=medium

  * Team upload.
  * Change maintainer address to Debian Erlang Packagers
    <pkg-erlang-devel@lists.alioth.debian.org>. (Closes: #899820)
  * Change Vcs-Browser and Vcs-Git to salsa.
  * Bump Standards-Version to 4.1.4.
  * Get rid of lintian 'insecure-copyright-format-uri' and
    'debian-rules-parses-dpkg-parsechangelog'

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 02 Jun 2018 05:33:58 +0900

erlang-uuid (0.4.6-1) unstable; urgency=low

  * Initial release (Closes: #769579)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 14 Nov 2014 19:15:39 +0100

=== debian/control ===
Source: erlang-uuid
Section: devel
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~),
	erlang-dev (>= 1:15.b), erlang-tools, erlang-eunit
Standards-Version: 4.1.4
Homepage: https://github.com/avtobiff/erlang-uuid
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-uuid.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-uuid

Package: erlang-uuid
Architecture: any
Depends: ${misc:Depends},
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: UUID generator for Erlang
 Erlang implementation of UUID v1, v3, v4, and v5 generation as of RFC4122

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=uuid
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(DEB_VERSION_UPSTREAM)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(DEB_VERSION_UPSTREAM)/ebin/

override_dh_gencontrol-arch:
	erlang-depends -a -perlang-$(PACKAGE)
	dh_gencontrol -a -perlang-$(PACKAGE)

override_dh_compress:
	dh_compress -X.erl -X.beam

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
	 https://github.com/avtobiff/erlang-uuid/tags .*/(?:v||ranch[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## erlang-uuid 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 APPFILE   := uuid.app
-VERSION   := $(shell sed -n -e '/vsn/ {s/.*,\s*"\([0-9][0-9.]*\)".*/\1/' \
+VERSION   := $(shell sed -n -e '/vsn/ {s/.*,[[:blank:]]*"\([0-9][0-9.]*\)".*/\1/' \
                             -e 'p' -e '}' src/$(APPFILE).src)
 
 PREFIX    ?= /usr
@@ -21,7 +21,7 @@
 	cp $< $@
 
 clean:
-	-rm -rf ebin/$(APPFILE) $(BEAMFILES) $(DIALYZER_PLT)
+	-rm -rf dist ebin/$(APPFILE) $(BEAMFILES) $(DIALYZER_PLT)
 
 $(DIALYZER_PLT): build
 	dialyzer --add_to_plt -r ebin --output_plt $(DIALYZER_PLT)
@@ -33,6 +33,12 @@
 	erlc -W +debug_info +compressed +strip -o test/ test/*.erl
 	erl -noshell -pa ebin -pa test -eval "uuid_tests:test()" -eval "init:stop()"
 
+dist: build
+	# create dist tarball
+	mkdir -p dist/$(DISTDIR)/ebin
+	install -m0644 ebin/* dist/$(DISTDIR)/ebin
+	(cd dist ; tar zcf $(DISTDIR).tar.gz $(DISTDIR) )
+
 install: build
 	# create dist directory and install files
 	mkdir -p $(DESTDIR)$(ERL_ROOT)$(LIBDIR)/$(DISTDIR)/ebin

=== debian/changelog ===
erlang-uuid (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Make myself an uploader.
  * Bump debhelper compatibility level to 13.
  * Bump Standards-Version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Feb 2025 16:15:29 +0300

=== debian/control ===
Source: erlang-uuid
Section: devel
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~),
	erlang-dev (>= 1:27), erlang-crypto, erlang-tools, erlang-eunit
Standards-Version: 4.7.0
Homepage: https://github.com/avtobiff/erlang-uuid
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-uuid.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-uuid

Package: erlang-uuid
Architecture: any
Depends: ${misc:Depends},
         ${erlang:Depends}
Description: UUID generator for Erlang
 Erlang implementation of UUID v1, v3, v4, and v5 generation as of RFC4122
